=== debian/changelog ===
cdogs-sdl (1.3.1-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Tue, 23 Aug 2022 15:06:26 -0700
