## cdogs-sdl 1.4.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,8 +6,8 @@
 project(cdogs-sdl C)
 
 SET(VERSION_MAJOR "1")
-SET(VERSION_MINOR "3")
-SET(VERSION_PATCH "1")
+SET(VERSION_MINOR "4")
+SET(VERSION_PATCH "0")
 SET(VERSION "${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}")
 
 # Optionally configure CI files since they are excluded in source archives
