=== debian/changelog ===
cdogs-sdl (1.4.0-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 20 Nov 2022 10:30:40 -0800
