=== src/CMakeLists.txt ===
--- 
+++ 
@@ -17,12 +17,14 @@
 add_subdirectory(tests)
 
 set(CDOGS_SDL_SOURCES
+	ammo_menu.c
 	animated_counter.c
 	autosave.c
 	briefing_screens.c
 	cdogs.c
 	command_line.c
 	credits.c
+	equip_menu.c
 	game.c
 	game_loop.c
 	hiscores.c
@@ -38,11 +40,13 @@
 	screens_end.c
 	weapon_menu.c)
 set(CDOGS_SDL_HEADERS
+	ammo_menu.h
 	animated_counter.h
 	autosave.h
 	briefing_screens.h
 	command_line.h
 	credits.h
+	equip_menu.h
 	game.h
 	game_loop.h
 	hiscores.h
