=== debian/changelog ===
cdogs-sdl (1.4.1-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 12 Mar 2023 07:31:11 -0700
