=== debian/watch ===
version=3
https://github.com/cxong/cdogs-sdl/releases \
    (?:.*/)?archive/([\d\.]+)\.tar\.gz
