=== debian/changelog ===
cdogs-sdl (2.0.0-1mx23+1) mx; urgency=medium

  * Rebuild for MX-23.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Fri, 23 Feb 2024 14:15:40 -0800

cdogs-sdl (1.5.0+dfsg-1) unstable; urgency=low

  * Initial packaging (Closes: #1040944).

 -- Reiner Herrmann <reiner@reiner-h.de>  Mon, 12 Feb 2024 19:06:46 +0100
