=== debian/control ===
Source: cdogs-sdl
Section: games
Priority: optional
Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Reiner Herrmann <reiner@reiner-h.de>
Build-Depends: debhelper-compat (= 13),
               cmake,
               libenet-dev,
               libnanopb-dev (>= 0.4.8-1~),
               libsdl2-dev,
               libsdl2-image-dev,
               libsdl2-mixer-dev,
               nanopb
Standards-Version: 4.6.2
Homepage: https://cxong.github.io/cdogs-sdl/
Vcs-Git: https://salsa.debian.org/games-team/cdogs-sdl.git
Vcs-Browser: https://salsa.debian.org/games-team/cdogs-sdl
Rules-Requires-Root: no

Package: cdogs-sdl
Architecture: any
Built-Using: ${Built-Using}
Depends: ${shlibs:Depends}, ${misc:Depends}, cdogs-sdl-data (= ${source:Version})
Description: classic overhead run-and-gun game
 C-Dogs SDL is an overhead shoot-em-up which lets players work alone and
 cooperatively during missions or fight against each other in the
 "dogfight" deathmatch mode.
 .
 Customize your player, choose from many weapons, and blast, slide and
 slash your way through over 100 user-created campaigns.

Package: cdogs-sdl-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: classic overhead run-and-gun game - data files
 C-Dogs SDL is an overhead shoot-em-up which lets players work alone and
 cooperatively during missions or fight against each other in the
 "dogfight" deathmatch mode.
 .
 Customize your player, choose from many weapons, and blast, slide and
 slash your way through over 100 user-created campaigns.
 .
 This package contains the data files for C-Dogs SDL.
